Get Histories By Names And Ids
Returns history data for the named entities and the given ids - which may not directly correspond to the current history records in the database.
Authorizations
SuperOffice username:password are passed in Base64-encoded.
You can also pass inn an unencoded ticket 7T:abc== with the HTTP Authenticate header.
SuperOffice SuperId OAuth implicit flow. You need to issue a request to the SuperId authorization URL https://online.superoffice.com/login/common/oauth/authorize?response_type=token &client_id=670734e0-4c5a-11e3-be9e-a171392e81db &redirect_uri=https://example.com/spa/
passing in the application id and redirect URL.
SuperId will log the user in, and redirect to the requested redirect URL with a #payload containing the access token and claims. (The redirect URL must be registered with SuperId in advance)
https://example.com/spa#access_token=8A%3aCust12227.AXRrCITpPBvQX3UbIohb &token_type=bearer &state= &expires_in=3600 &ctx=Cust12227 &netserver_url=https%3a%2f%2fsod.superoffice.com%2fCust12227%2fRemote%2fServices82%2f
You can take the #access_token value and pass it as the Authenticate HTTP header as a BEARER token.
- Authorization URL
- https://online.superoffice.com/login/common/oauth/authorize
Headers
Convert string references and multi-language values into a specified language (iso2) code.
Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value.
Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set.
Specify the timezone code that you would like date/time responses converted to.
The application token that identifies the partner app. Used when calling Online WebAPI from a server.
Query Parameters
Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields.
Body
Requests
GetHistoriesByNamesAndIds: Returns history data for the named entities and the given ids - which may not directly correspond to the current history records in the database.Use this method if you know exactly which items you need, regardless of whether they are in the current history or not.The history in the database is not changed or even looked at by this method.
Response
OK
Sort order, indexed so it can used for sorting in the query
Id of the history item, for instance a contact id. Represents the history table's RecordId field, if the item is based on a history table record
The name of the history list, for instance contact. Represents the history table's TableId field
Primary key
Owner of history list
Name of the history item, for instance contact name
Extra information on the history item, e.g. The Associate Type for an associate or other relevant info.
Wraps a table right together with an explanatory reason. Code can indicate why access is restricted.
Field property dictionary mapping field names to field access rights.